Call to undefined method Newsletter::getSubscriberCount()
Closed, ResolvedPublic

Description

Spotted in production:

Fatal error: Call to undefined method Newsletter::getSubscriberCount() in /srv/mediawiki/php-1.30.0-wmf.16/extensions/Newsletter/includes/specials/SpecialNewsletter.php on line 331
demon created this task.Aug 30 2017, 7:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 30 2017, 7:05 PM
demon triaged this task as Normal priority.Aug 30 2017, 7:05 PM

Change 374888 had a related patch set uploaded (by 01tonythomas; owner: 01tonythomas):
[mediawiki/extensions/Newsletter@master] Typo in calling $this->newsletter->getSubscribersCount()

https://gerrit.wikimedia.org/r/374888

Change 374906 had a related patch set uploaded (by Chad; owner: 01tonythomas):
[mediawiki/extensions/Newsletter@wmf/1.30.0-wmf.16] Typo in calling $this->newsletter->getSubscribersCount()

https://gerrit.wikimedia.org/r/374906

Change 374907 had a related patch set uploaded (by Chad; owner: 01tonythomas):
[mediawiki/extensions/Newsletter@wmf/1.30.0-wmf.15] Typo in calling $this->newsletter->getSubscribersCount()

https://gerrit.wikimedia.org/r/374907

Change 374888 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@master] Typo in calling $this->newsletter->getSubscribersCount()

https://gerrit.wikimedia.org/r/374888

Change 374906 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@wmf/1.30.0-wmf.16] Typo in calling $this->newsletter->getSubscribersCount()

https://gerrit.wikimedia.org/r/374906

Change 374907 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@wmf/1.30.0-wmf.15] Typo in calling $this->newsletter->getSubscribersCount()

https://gerrit.wikimedia.org/r/374907

Mentioned in SAL (#wikimedia-operations) [2017-08-30T23:09:04Z] <demon@tin> Synchronized php-1.30.0-wmf.15/extensions/Newsletter/includes/specials/SpecialNewsletter.php: T174604 (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2017-08-30T23:10:13Z] <demon@tin> Synchronized php-1.30.0-wmf.16/extensions/Newsletter/includes/specials/SpecialNewsletter.php: T174604 (duration: 00m 47s)

demon closed this task as Resolved.Aug 30 2017, 11:11 PM
demon claimed this task.
Qgil awarded a token.Aug 31 2017, 9:11 AM